buildscript {
  ext {
    springBootVersion = '2.7.4'
  }
	repositories {
		mavenCentral()
	}
	dependencies {
		classpath("org.springframework.boot:spring-boot-gradle-plugin:${springBootVersion}")
	}
}

apply plugin: 'java'
apply plugin: 'eclipse'
apply plugin: 'org.springframework.boot'
apply plugin: 'io.spring.dependency-management'
apply plugin: 'war'
apply plugin: 'application'

group = 'de.jottyfan.camporganizer'
version = '0.2.6'
sourceCompatibility = 17
mainClassName = "de.jottyfan.camporganizer.Main"

repositories {
	mavenCentral()
	maven {
		url "https://www.jottyfan.de/libs/"
	}
}

ext {
  set('keycloakVersion', '20.0.1')
}

war {
  manifest {
    attributes("Implementation-Version": version)
  }
  archiveName = 'CampOrganizer2.war'
}

dependencies {
	implementation 'org.apache.logging.log4j:log4j-api:2.17.1'
	implementation 'org.apache.logging.log4j:log4j-core:2.17.1'
	implementation 'org.apache.logging.log4j:log4j-to-slf4j:2.17.1'

	implementation 'org.webjars:bootstrap:5.2.0'
	implementation 'org.webjars:font-awesome:5.15.4'
	implementation 'org.webjars:jquery:3.6.0'
	implementation 'org.webjars:popper.js:2.9.3'
  implementation 'org.webjars:datatables:1.11.4'
  implementation 'org.webjars:select2:4.0.13'

  implementation 'net.sf.biweekly:biweekly:0.6.6'

	implementation 'org.keycloak:keycloak-spring-boot-starter'

	// for using the keycloak rest interface
	implementation 'org.keycloak:keycloak-admin-client:20.0.1'
	implementation 'org.jboss.resteasy:resteasy-client:5.0.0.Final'

	// backward compatibility until the complete registration is converted to keycloak
	implementation 'org.jasypt:jasypt:1.9.3'

	// rss support
	implementation 'com.rometools:rome:1.18.0'

	// mail support
	implementation 'commons-validator:commons-validator:1.7'
	implementation 'org.springframework.boot:spring-boot-starter-mail'

	implementation 'org.springframework.boot:spring-boot-starter-jooq'
	implementation 'org.springframework.boot:spring-boot-starter-security'
	implementation 'org.springframework.boot:spring-boot-starter-thymeleaf'
	implementation 'org.springframework.boot:spring-boot-starter-web'
	implementation 'org.springframework.boot:spring-boot-starter-validation'
	implementation 'org.thymeleaf.extras:thymeleaf-extras-springsecurity5'
	implementation 'de.jottyfan:COJooq:2021.02'
	implementation 'nz.net.ultraq.thymeleaf:thymeleaf-layout-dialect:3.0.0'
	runtimeOnly 'org.springframework.boot:spring-boot-starter-tomcat'
	testImplementation 'org.springframework.boot:spring-boot-starter-test'
	testImplementation 'org.springframework.security:spring-security-test'
}

dependencyManagement {
	imports {
		mavenBom "org.keycloak.bom:keycloak-adapter-bom:${keycloakVersion}"
	}
}
